Subject: Re: bug#58928: 29.0.50; overlays in org-mode are disrupted after call `org-capture`

From: Matt Armstrong <[email-masked]>
Date: Fri, 04 Nov 2022 11:06:13 -0700

Stefan Monnier <[email-masked]> writes:

>> 4. Now the .notes buffer is like this:
>> * Tasks
>> ** TODO test1...
>> 5. Try step 2 again, now you will see the issue. Now the .notes buffer looks like this:
>> * Tasks
>> ** TODO test1...TODO
>>   [2022-11-03 Thu]
>>   test1
>
> With the latest changes I pushed, at the end of step 5 I see only:
>
>     ** TODO test1...
>
> This doesn't look completely right (the "..." hides both the "test1"
> todo and the subsequent one), but I see exactly the same when
> I try it on Emacs-28, so are you sure it's something that changed with
> the new overlays code?

It isn't a regression in Emacs' overlay implementation.  It is a bug
introduced in the org-mode shipped with Emacs 28.  I verified that this
is fixed in current org mode dev version.

So, I think we're done here!